Subject: Re: [PATCH v3 00/10] decoupling a submodule's existence and its url

From: Brandon Williams <[email-masked]>
Date: Tue, 14 Mar 2017 15:17:02 -0700

On 03/14, Junio C Hamano wrote:
> Brandon Williams <[email-masked]> writes:
> 
> > changes in v3:
> >
> > * Droped a patch which tried to use a more accurate URL for deinit.  It didn't
> >   really fit inside the scope of this series.  It may be something we want to
> >   revisit later though.
> >
> > * The --init-active flag now ensure that all submodules which are configured to
> >   be 'active' (either via 'submodule.active' or 'submodule.<name>.active') go
> >   through the initialization phase and have their relevent info copied over to
> >   the config.
> 
> Aside from comments I sent already to the individual patches, I
> think overall this coherently adds a nicer way to keep track of
> which submodules are of interest (and which are not) than what we
> traditionally had.  I'll queue it on 'pu', awaiting further
> polishing (if necessary).

I've just started looking at your comments and I expect I'll do at least
one more round of polish.

Thanks for taking a look!

-- 
Brandon Williams